<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Avalanche_Material
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, maximum-scale=1.0" >
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<link rel="stylesheet" href="http://cdn.materialdesignicons.com/1.4.57/css/materialdesignicons.min.css">
<link rel="stylesheet" href="<?php echo esc_url( get_template_directory_uri() ); ?>/css/underscores.min.css" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php echo esc_url( get_template_directory_uri() ); ?>/css/bootstrap.min.css" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php echo esc_url( get_template_directory_uri() ); ?>/css/bootstrap-material-design.min.css" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php echo esc_url( get_template_directory_uri() ); ?>/css/ripples.min.css" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php echo esc_url( get_template_directory_uri() ); ?>/css/avalanche.css" type="text/css" media="screen" />
<?php wp_head(); ?>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.6/js/bootstrap.min.js"></script>
<script>$(function() {
    $.material.init();
});
</script>
<?php
  $primary_color = get_option('primary_color');
  $navbar_link_color = get_option('navbar_link_color');
  $navbar_color = get_option('navbar_color');
  $accent_color = get_option('accent_color');
?>
<style>
    a, a:hover, a:active, a:focus { 
        color: <?php echo $primary_color; ?>; 
    }
    .btn.btn-primary, .navbar .navbar-toggle:hover,
    .btn.btn-primary, .navbar .navbar-toggle:active,
    .btn.btn-primary, .navbar .navbar-toggle:focus,
    section.navbar-toggle.collapsed.material-design-hamburger.btn.btn-primary.btn-fab:hover,
    section.navbar-toggle.collapsed.material-design-hamburger.btn.btn-primary.btn-fab:active,
    section.navbar-toggle.collapsed.material-design-hamburger.btn.btn-primary.btn-fab:focus,
    i.mdi.mdi-magnify:hover,
    i.mdi.mdi-magnify:active,
    i.mdi.mdi-magnify:focus { 
        background-color: <?php echo $primary_color; ?> !important; 
    }
    .form-group.is-focused.form-control { 
        background-image: background-image: linear-gradient(<?php echo $primary_color; ?>,<?php echo $primary_color; ?>),linear-gradient(#D2D2D2,#D2D2D2); 
    }
    .form-group.is-focused .form-control {
      border: 0;
      background-image: -webkit-gradient(linear, left top, left bottom, from(<?php echo $primary_color; ?>), to(<?php echo $primary_color; ?>)), -webkit-gradient(linear, left top, left bottom, from(#D2D2D2), to(#D2D2D2));
      background-image: -webkit-linear-gradient(<?php echo $primary_color; ?>, <?php echo $primary_color; ?>), -webkit-linear-gradient(#D2D2D2, #D2D2D2);
      background-image: -o-linear-gradient(<?php echo $primary_color; ?>, <?php echo $primary_color; ?>), -o-linear-gradient(#D2D2D2, #D2D2D2);
      background-image: linear-gradient(<?php echo $primary_color; ?>, <?php echo $primary_color; ?>), linear-gradient(#D2D2D2, #D2D2D2);
    }
    .form-group.is-focused label, .form-group.is-focused label.control-label {
        color: <?php echo $primary_color; ?> !important;
    }
    .navbar .form-group.is-focused .form-control {
      border: 0;
      background-image: -webkit-gradient(linear, left top, left bottom, from(<?php echo $navbar_link_color; ?>), to(<?php echo $navbar_link_color; ?>)), -webkit-gradient(linear, left top, left bottom, from(#D2D2D2), to(#D2D2D2));
      background-image: -webkit-linear-gradient(<?php echo $navbar_link_color; ?>, <?php echo $navbar_link_color; ?>), -webkit-linear-gradient(#D2D2D2, #D2D2D2);
      background-image: -o-linear-gradient(<?php echo $navbar_link_color; ?>, <?php echo $navbar_link_color; ?>), -o-linear-gradient(#D2D2D2, #D2D2D2);
      background-image: linear-gradient(<?php echo $navbar_link_color; ?>, <?php echo $navbar_link_color; ?>), linear-gradient(#D2D2D2, #D2D2D2);
    }
    .navbar .navbar-form .form-control::-webkit-input-placeholder, .navbar .navbar-form .form-group .form-control::-webkit-input-placeholder {
        color: <?php echo $navbar_link_color; ?> !important;
    }
    .material-design-hamburger__layer {
        background-color: <?php echo $navbar_link_color; ?>;
    }
    .navbar .navbar-form .form-control::-moz-placeholder, .navbar .navbar-form .form-group .form-control::-moz-placeholder, .navbar .navbar-form .form-control:-ms-input-placeholder, .navbar .navbar-form .form-group .form-control:-ms-input-placeholder, .navbar .navbar-form .form-control:-moz-placeholder, .navbar .navbar-form .form-group .form-control:-moz-placeholder {
        color: <?php echo $navbar_link_color; ?> !important;
    }
    .navbar.navbar-default,
    section.navbar-toggle.collapsed.material-design-hamburger.btn.btn-primary.btn-fab { 
        background-color: <?php echo $navbar_color; ?> !important; 
    }
    section.navbar-toggle.collapsed.material-design-hamburger.btn.btn-primary.btn-fab:hover .material-design-hamburger__layer
    {
        background-color: #ffffff;
    }
    i.mdi.mdi-magnify:hover {
        color: #ffffff;
    }
    .mfb-component__button--child, .mfb-component__button--main {
        background-color: <?php echo $accent_color; ?>;
    }
    .btn-accent, .btn-accent:hover, .btn-accent:focus, .btn-accent:active {
        background-color: <?php echo $accent_color; ?> !important;
        color: #ffffff !important;
    }
    @media (min-width: 768px) {
        .navbar .navbar-nav > li > a, .navbar .navbar-form .form-control, .navbar .navbar-form .form-group .form-control, .navbar #searchform button { 
            color: <?php echo $navbar_link_color; ?> !important; 
        }
    }
</style>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'avalanche-material' ); ?></a>
    <nav id="site-navigation" class="main-navigation navbar navbar-default" role="navigation">
        <div class="navbar-header">
            <section class="navbar-toggle collapsed material-design-hamburger btn btn-primary btn-fab" data-toggle="collapse" data-target=".navbar-collapse">
                <button class="material-design-hamburger__icon">
                  <span class="material-design-hamburger__layer"></span>
                </button>
            </section>
            <div class='site-logo'>
                <a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><img src='<?php echo esc_url( get_theme_mod( 'themeslug_logo' ) ); ?>' alt='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>'></a>
            </div>
            <?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu', 'menu_class' => 'nav navbar-nav' ) ); ?>
            <?php get_search_form(); ?>
        </div>
    </nav><!-- #site-navigation -->
	<header id="masthead" class="site-header" role="banner">
        <div class="site-branding">
			<?php
			if ( is_front_page() ) : ?>
                <h1 class="site-title"><?php bloginfo( 'name' ); ?></h1>
                <p class="site-description"><?php bloginfo( 'description' ); ?></p>
                <?php dynamic_sidebar('Extra Header Widget Area'); ?>
			<?php endif; ?>
		</div><!-- .site-branding -->

        <?php if ( get_header_image() ) : ?>
		<div>
            <?php if ( is_front_page() ) : ?>
			     <img src="<?php header_image(); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
            <?php endif; ?>
		</div>
	    <?php endif; ?>
	</header><!-- #masthead -->

	<div id="content" class="site-content">
