/**
 * navigation.js
 *
 * Handles toggling the navigation menu for small screens 
 */
$(document).ready(function() {
( function() {
	var container, button, menu, links, subMenus;

	container = document.getElementById( 'site-navigation' );
	if ( ! container ) {
		return;
	}

	button = container.getElementsByTagName( 'button' )[0];
	if ( 'undefined' === typeof button ) {
		return;
	}

	menu = container.getElementsByTagName( 'ul' )[0];



	// Get all the link elements within the menu.
	links    = menu.getElementsByTagName( 'a' );
	subMenus = menu.getElementsByTagName( 'ul' );

	

	// Each time a menu link is focused or blurred, toggle focus.
	for ( i = 0, len = links.length; i < len; i++ ) {
		links[i].addEventListener( 'focus', toggleFocus, true );
		links[i].addEventListener( 'blur', toggleFocus, true );
	}

	/**
	 * Sets or removes .focus class on an element.
	 */
	function toggleFocus() {
		var self = this;

		// Move up through the ancestors of the current link until we hit .nav-menu.
		while ( -1 === self.className.indexOf( 'nav-menu' ) ) {

			// On li elements toggle the class .focus.
			if ( 'li' === self.tagName.toLowerCase() ) {
				if ( -1 !== self.className.indexOf( 'focus' ) ) {
					self.className = self.className.replace( ' focus', '' );
				} else {
					self.className += ' focus';
				}
			}

			self = self.parentElement;
		}
	}
    // Add bootstrap classes to dropdown
    $('.menu-item-has-children').addClass('dropdown');
    $('.menu-item-has-children a').addClass('dropdown-toggle');
    $('.sub-menu').addClass('dropdown-menu');
    
    $('.dropdown-toggle').attr('data-toggle', 'dropdown');
    $('.dropdown-toggle').attr('aria-expanded', 'false');
    $('.dropdown-toggle').attr('data-target', '#');
    $('.dropdown-toggle').attr('href', 'bootstrap-elements.html');
    
    //Adds important collapsing classes to div
    $('#primary-menu').closest('div').addClass('navbar-collapse collapse');
    
    //Add class width to collapse
    $('nav .collapse').addClass('width');
    

    
} )();

//Nav Bar On Scroll
    $('.navbar.navbar-default').addClass('box-shadow');
    $(window).scroll(function () {
        var scroll = $(window).scrollTop();
        if (scroll >= 10) {
            $('.navbar.navbar-default').fadeIn('slow', function () {
                $(this).addClass('box-shadow');
            });
        } else {
            $('.navbar.navbar-default').removeClass('box-shadow');
        }
    });

(function() {

  'use strict';

  document.querySelector('.material-design-hamburger__icon').addEventListener(
    'click',
    function() {      
      var child;
      
      document.body.classList.toggle('background--blur');
      this.parentNode.nextElementSibling.classList.toggle('menu--on');

      child = this.childNodes[1].classList;

      if (child.contains('material-design-hamburger__icon--to-arrow')) {
        child.remove('material-design-hamburger__icon--to-arrow');
        child.add('material-design-hamburger__icon--from-arrow');
      } else {
        child.remove('material-design-hamburger__icon--from-arrow');
        child.add('material-design-hamburger__icon--to-arrow');
      }

    });

})();
});