<?php
/**
 * Template part for displaying page content in landing.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Avalanche_Material
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php
        $thumb_id = get_post_thumbnail_id();
        $thumb_url = wp_get_attachment_image_src($thumb_id, true);
    ?>
	<header class="entry-header" style="background-image: url('<?php echo $thumb_url[0]; ?>');">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
        <?php dynamic_sidebar('Extra Header Widget Area'); ?>
	</header><!-- .entry-header -->
	<div class="entry-content">
		<?php
			the_content();

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'avalanche-material' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php
			edit_post_link(
				sprintf(
					/* translators: %s: Name of current post */
					esc_html__( 'Edit %s', 'avalanche-material' ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				),
				'<span class="edit-link">',
				'</span>'
			);
		?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
