<?php
/**
 * Template part for displaying results in search pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Avalanche_Material
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('card'); ?>>
	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>

		<?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php avalanche_material_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->

	<footer class="entry-footer">
		<?php if ( is_archive() || is_search() || is_home() || is_front_page() ) : // Only display read more on excerpts ?>
        <?php if(strpos(get_the_excerpt(), '@more@')) { ?>
            <a class="btn btn-raised btn-primary" href="<?php the_permalink() ?>">Read More</a>
        <?php } ?>
        <?php else : ?>
		  <?php avalanche_material_entry_footer(); ?>
        <?php endif; ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
