<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Avalanche_Material
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('card'); ?>>
    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_post_thumbnail(); ?></a>
	<header class="entry-header">
		<?php
			if ( is_single() ) {
				the_title( '<h1 class="entry-title">', '</h1>' );
			} else {
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			}

		if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php avalanche_material_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php
		endif; ?>
	</header><!-- .entry-header -->

<!-- Makes post excerpt appear on all non-single post pages -->
    <?php if ( is_archive() || is_search() || is_home() || is_front_page() ) : // Only display excerpts for archives and search. ?>
        <div class="entry-summary">
            <?php the_excerpt(); ?>
        </div><!-- .entry-summary -->
	<?php else : ?>
	<div class="entry-content">
		<?php
			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'avalanche-material' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'avalanche-material' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
    <?php endif; ?>
    
    
	<footer class="entry-footer">
        <?php if ( is_archive() || is_search() || is_home() || is_front_page() ) : // Only display read more on excerpts ?>
        <?php if(strpos(get_the_excerpt(), '@more@')) { ?>
            <a class="btn btn-raised btn-primary" href="<?php the_permalink() ?>">Read More</a>
        <?php } ?>
        <?php else : ?>
		  <?php avalanche_material_entry_footer(); ?>
        <?php endif; ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
